This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 188990 - include/keys/user-type.h missing from kernel-devel
include/keys/user-type.h missing from kernel-devel
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: glibc-kernheaders (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-14 06:27 EDT by Levente Farkas
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-06 20:43:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Levente Farkas 2006-04-14 06:27:10 EDT
Description of problem:
the file include/keys/user-type.h is missing from kernel-devel package (while
it's in the vanila linux-2.6.16) and without it one can't compile modules like
eCryptfs for fedora.
please add this to the package.

Version-Release number of selected component (if applicable):
2.6.16-1.2080_FC5

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David Woodhouse 2006-05-06 20:43:15 EDT
The file include/keys/user-type.h _is_ present in the kernel-devel package.

It is not present in the glibc-kernheaders package (against which you filed this
bug).

Both of these are intentional and correct -- if you think otherwise, please
reopen the bug and explain.
Comment 2 David Woodhouse 2006-05-06 20:47:31 EDT
Oh, wait. You _didn't_ file it against glibc-kernheaders. DaveJ did.

Why?
Comment 3 David Woodhouse 2006-05-06 20:51:45 EDT
And you're right, it was absent from kernel-devel-2.6.16-1.2080_FC5. It's
present in kernel-devel-2.6.16-1.2096_FC5 though. Changing resolution to 'ERRATA'

Note You need to log in before you can comment on or make changes to this bug.